Summary:	California - GNOME 3 Calendar
Summary(pl.UTF-8):	California - kalendarz dla GNOME 3
Name:		california
Version:	0.4.0
Release:	7
License:	LGPL v2.1+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/california/0.4/%{name}-%{version}.tar.xz
# Source0-md5:	cd8fa9cc399ee918e55b051e3b9f3124
Patch0:		evolution-data-server-3.14.patch
Patch1:		vala.patch
URL:		https://wiki.gnome.org/Apps/California
BuildRequires:	evolution-data-server-devel >= 3.8.5
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.38.0
BuildRequires:	gnome-online-accounts-devel >= 3.8.3
BuildRequires:	gobject-introspection-devel >= 1.38.0
BuildRequires:	gtk+3-devel >= 3.12.2
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libgdata-devel >= 0.14.0
BuildRequires:	libgee-devel >= 0.10.5
BuildRequires:	libsoup-devel >= 2.44
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.24.0
BuildRequires:	vala-evolution-data-server >= 3.8.5
BuildRequires:	vala-libgee
# because of broken test XDG_EMAIL passing doesn't suffice
BuildRequires:	xdg-utils
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.38.0
# requires e-d-s (not just -libs) to start
Requires:	evolution-data-server >= 3.8.5
Requires:	glib2 >= 1:2.38.0
Requires:	gnome-online-accounts-libs >= 3.8.3
Requires:	gtk+3 >= 3.12.2
Requires:	libsoup >= 2.44
Requires:	xdg-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
California is a calendar built for GNOME 3. It allows you to view and
manage your online calendars with a simple and modern interface.

%description -l pl.UTF-8
California to kalendarz napisany dla GNOME 3. Pozwala na przeglądanie
i zarządzanie kalendarzami online poprzez prosty i nowoczesny
interfejs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure 
# cannot pass because it's not equal "yes" (see xdg-utils BR note above)
#	XDG_EMAIL=/usr/bin/xdg-email

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc/california

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS
%attr(755,root,root) %{_bindir}/california
%{_datadir}/appdata/california.appdata.xml
%{_datadir}/california
%{_datadir}/glib-2.0/schemas/org.yorba.california.gschema.xml
%{_desktopdir}/california.desktop
%changelog
* Fri Sep 29 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/california.git;a=log;h=master

* Fri Sep 29 2017 Marcin Banasiak <marcin.banasiak@gmail.com> c2a0428
- release 7 (by relup.sh)

* Sat Oct 15 2016 Jan Rękorajski <baggins@pld-linux.org> 00e8aeb
- fix vala build errors
- rel 6

* Thu Oct 22 2015 Jakub Bogusz <qboosh@pld-linux.org> b4b9e9a
- release 5 (libgdata rebuild)

* Wed Sep 30 2015 Jan Rękorajski <baggins@pld-linux.org> 7379208
- release 4 (by relup.sh)

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> 431e8b8
- release 3 (by relup.sh)

* Sun Apr 12 2015 Jan Rękorajski <baggins@pld-linux.org> 01dbb27
- fix building with evolution-data-server 3.14+ (patch from fedora)
- rel 2

* Tue Mar 24 2015 Paweł Gołaszewski <blues@pld-linux.org> 18e488d
- 0.4.0

* Sat Feb 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 2e246a9
- updated to 0.3.1

* Mon Jan 26 2015 Paweł Gołaszewski <blues@pld-linux.org> 151ff85
- BR vala-libgee

* Fri Jan 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 2f0c7f8
- R: e-d-s, release 3

* Sun Jan 18 2015 Jakub Bogusz <qboosh@pld-linux.org> ea92960
- eeh, configure test doesn't allow passing XDG_EMAIL path

* Sun Jan 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 993d343
- BR: xdg-utils, release 2

* Sun Jan 18 2015 Jakub Bogusz <qboosh@pld-linux.org> b401e97
- Requires xdg-utils (xdg-email)

* Sun Jan 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 8a4b33c
- updated to 0.3.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 4fc5b0a
- updated gettext BR

* Thu Oct 09 2014 Marcin Banasiak <marcin.banasiak@gmail.com> ee72398
- Add BR: vala-evolution-data-server

* Thu Oct 09 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 80e0fdb
- Update to 0.2.0

* Sun Jul 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 4ba7eae
- updated to 0.1.2

* Tue May 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 644e91d
- new

